Get paginated audit sessions (threads)
GoModel API reference for GET /admin/audit/sessions: Get paginated audit sessions (threads).
A valid request URL is required to generate request examples{
"limit": 123,
"offset": 123,
"sessions": [
{
"latest": {
"alias_used": true,
"auth_key_id": "<string>",
"auth_method": "<string>",
"bodies_omitted": true,
"cache_type": "<string>",
"client_ip": "<string>",
"conversation_payload": true,
"data": {
"api_key_hash": "<string>",
"attempts": [
{
"duration_ns": 123,
"error_code": "<string>",
"error_message": "<string>",
"error_type": "<string>",
"kind": "<string>",
"model": "<string>",
"provider_name": "<string>",
"provider_type": "<string>",
"response_body": "<unknown>",
"response_headers": {},
"seq": 123,
"started_at": "<string>",
"status_code": 123,
"success": true
}
],
"error_code": "<string>",
"error_message": "<string>",
"error_provider": "<string>",
"event_type": "<string>",
"failover": {
"target_model": "<string>"
},
"guardrails": [
{
"action": "<string>",
"code": "<string>",
"detail": "<unknown>",
"dropped_events": 123,
"duration_ns": 123,
"edited": true,
"error": "<string>",
"fail_mode": "<string>",
"instance": "<string>",
"message": "<string>",
"phase": "<string>",
"replaced_events": 123,
"seq": 123,
"step": 123,
"target": "<string>",
"type": "<string>"
}
],
"labels": [
"<string>"
],
"max_tokens": 123,
"request_body": "<unknown>",
"request_body_too_big_to_handle": true,
"request_headers": {},
"request_revisions": [
{
"body": "<unknown>",
"bytes_after": 123,
"bytes_before": 123,
"detail": "<unknown>",
"no_change": true,
"rewriter": "<string>",
"seq": 123,
"tokens_saved": 123
}
],
"response_body": "<unknown>",
"response_body_too_big_to_handle": true,
"response_headers": {},
"temperature": 123,
"user_agent": "<string>",
"workflow_features": {
"audit": true,
"budget": true,
"cache": true,
"failover": true,
"guardrails": true,
"usage": true
}
},
"duration_ns": 123,
"error_type": "<string>",
"id": "<string>",
"method": "<string>",
"path": "<string>",
"principal_id": "<string>",
"provider": "<string>",
"provider_name": "<string>",
"request_id": "<string>",
"requested_model": "<string>",
"resolved_model": "<string>",
"session_id": "<string>",
"status_code": 123,
"stream": true,
"timestamp": "<string>",
"usage": {
"cache_write_input_tokens": 123,
"cached_input_ratio": 123,
"cached_input_tokens": 123,
"entries": 123,
"estimated_cached_characters": 123,
"input_tokens": 123,
"output_tokens": 123,
"rewrite_cost_saved": 123,
"rewrite_tokens_saved": 123,
"total_tokens": 123,
"uncached_input_tokens": 123
},
"user_path": "<string>",
"workflow_version_id": "<string>"
},
"request_count": 123
}
],
"total": 123
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"provider": "<string>",
"status_code": 123,
"type": "provider_error"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"provider": "<string>",
"status_code": 123,
"type": "provider_error"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"provider": "<string>",
"status_code": 123,
"type": "provider_error"
}Autoryzacje
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parametry zapytania
Number of days (default 30)
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
Filter by requested model selector
Filter by provider name or provider type
Filter by HTTP method
Filter by request path
Filter by tracked user path subtree
Filter by error type
Filter by status code
Filter by stream mode (true/false)
Comma-separated endpoint operations to hide, e.g. mcp,provider_passthrough,audio_speech; other entries, including unclassified ones, stay
Search across request_id/requested_model/provider/method/path/session_id/error_type/error_message
Page size in threads (default 25, max 100)
Offset for pagination
Czy ta strona była pomocna?
A valid request URL is required to generate request examples{
"limit": 123,
"offset": 123,
"sessions": [
{
"latest": {
"alias_used": true,
"auth_key_id": "<string>",
"auth_method": "<string>",
"bodies_omitted": true,
"cache_type": "<string>",
"client_ip": "<string>",
"conversation_payload": true,
"data": {
"api_key_hash": "<string>",
"attempts": [
{
"duration_ns": 123,
"error_code": "<string>",
"error_message": "<string>",
"error_type": "<string>",
"kind": "<string>",
"model": "<string>",
"provider_name": "<string>",
"provider_type": "<string>",
"response_body": "<unknown>",
"response_headers": {},
"seq": 123,
"started_at": "<string>",
"status_code": 123,
"success": true
}
],
"error_code": "<string>",
"error_message": "<string>",
"error_provider": "<string>",
"event_type": "<string>",
"failover": {
"target_model": "<string>"
},
"guardrails": [
{
"action": "<string>",
"code": "<string>",
"detail": "<unknown>",
"dropped_events": 123,
"duration_ns": 123,
"edited": true,
"error": "<string>",
"fail_mode": "<string>",
"instance": "<string>",
"message": "<string>",
"phase": "<string>",
"replaced_events": 123,
"seq": 123,
"step": 123,
"target": "<string>",
"type": "<string>"
}
],
"labels": [
"<string>"
],
"max_tokens": 123,
"request_body": "<unknown>",
"request_body_too_big_to_handle": true,
"request_headers": {},
"request_revisions": [
{
"body": "<unknown>",
"bytes_after": 123,
"bytes_before": 123,
"detail": "<unknown>",
"no_change": true,
"rewriter": "<string>",
"seq": 123,
"tokens_saved": 123
}
],
"response_body": "<unknown>",
"response_body_too_big_to_handle": true,
"response_headers": {},
"temperature": 123,
"user_agent": "<string>",
"workflow_features": {
"audit": true,
"budget": true,
"cache": true,
"failover": true,
"guardrails": true,
"usage": true
}
},
"duration_ns": 123,
"error_type": "<string>",
"id": "<string>",
"method": "<string>",
"path": "<string>",
"principal_id": "<string>",
"provider": "<string>",
"provider_name": "<string>",
"request_id": "<string>",
"requested_model": "<string>",
"resolved_model": "<string>",
"session_id": "<string>",
"status_code": 123,
"stream": true,
"timestamp": "<string>",
"usage": {
"cache_write_input_tokens": 123,
"cached_input_ratio": 123,
"cached_input_tokens": 123,
"entries": 123,
"estimated_cached_characters": 123,
"input_tokens": 123,
"output_tokens": 123,
"rewrite_cost_saved": 123,
"rewrite_tokens_saved": 123,
"total_tokens": 123,
"uncached_input_tokens": 123
},
"user_path": "<string>",
"workflow_version_id": "<string>"
},
"request_count": 123
}
],
"total": 123
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"provider": "<string>",
"status_code": 123,
"type": "provider_error"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"provider": "<string>",
"status_code": 123,
"type": "provider_error"
}{
"code": "<string>",
"message": "<string>",
"param": "<string>",
"provider": "<string>",
"status_code": 123,
"type": "provider_error"
}